package models;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.Id;

import play.data.validation.Constraints.Required;
import play.db.ebean.Model;

@Entity
public class GeopapProject extends Model {

    @Id
    public Long id;

    @Required
    public String userName;

    @Required
    public String name;

    public String description;

    @Required
    public String date;

    /**
     * The relative path of the project from within the projects folder (i.e. user/projectname). 
     */
    @Required
    public String folderPath;

    public static Finder<Long, GeopapProject> find = new Finder(Long.class, GeopapProject.class);

    public static List<GeopapProject> all() {
        return find.all();
    }

    public static GeopapProject byId( Long id ) {
        return find.byId(id);
    }

    public static void create( GeopapProject project ) {
        project.save();
    }

    public static void delete( Long id ) {
        find.ref(id).delete();
    }

}